<?php namespace App\ViewModels\Procedimento\ProcedimentoDetailsViewModel;

use App\Utils\Entity;

class ProcedimentoDetailsViewModel extends Entity
{
    protected $id;
    protected $descricao;
    protected $id_tipo_procedimento;
    protected $tipo_procedimento;
    protected $exames;

    public static function builder() : ProcedimentoDetailsViewModelBuilder
    {
        return (new ProcedimentoDetailsViewModelBuilder);
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getIdTIPOPROCEDIMENTO(): int
    {
        return $this->id_tipo_procedimento;
    }

    public function getTipoProcedimento() : string
    {
        return $this->tipo_procedimento;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdTIPOPROCEDIMENTO(int $id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }

    public function setTipoProcedimento(string $tipo_procedimento): void
    {
        $this->tipo_procedimento = $tipo_procedimento;
    }

    public function getExames()
    {
        return $this->exames;
    }

    public function setExames($exames): void
    {
        $this->exames = $exames;
    }

}